org.apache.ignite.internal.commandline

## Interface GridConsole

All Known Implementing Classes:
  GridConsoleAdapter, NoopConsole

    public interface GridConsole

Interface with `Console` methods and contract.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `flush()` See `Console.flush()`.
`Console` `format(String fmt, Object... args)` See `Console.format(String, Object...)`.
`Console` `printf(String format, Object... args)` See `Console.printf(String, Object...)`.
`Reader` `reader()` See `Console.reader()`.
`String` `readLine()` See `Console.readLine()`.
`String` `readLine(String fmt, Object... args)` See `Console.readLine(String, Object...)`.
`char[]` `readPassword()` See `Console.readPassword()`.
`char[]` `readPassword(String fmt, Object... args)` See `Console.readPassword(String, Object...)`.
`PrintWriter` `writer()` See `Console.writer()`.

### Method Detail

#### writer

    PrintWriter writer()

See `Console.writer()`.

#### reader

    Reader reader()

See `Console.reader()`.

#### format

    Console format(String fmt,
                   Object... args)

See `Console.format(String, Object...)`.

#### printf

    Console printf(String format,
                   Object... args)

See `Console.printf(String, Object...)`.

#### readLine

    String readLine(String fmt,
                    Object... args)

See `Console.readLine(String, Object...)`.

#### readLine

    String readLine()

See `Console.readLine()`.

#### readPassword

    char[] readPassword(String fmt,
                        Object... args)

See `Console.readPassword(String, Object...)`.

#### readPassword

    char[] readPassword()

See `Console.readPassword()`.

#### flush

    void flush()

See `Console.flush()`.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020